curl
Synonyms
Search for synonyms
Searches for synonyms in your index.
POST
curl
Required ACL:
settingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Name of the index on which to perform the operation.
Example:
"ALGOLIA_INDEX_NAME"
Body
application/json
Body of the searchSynonyms operation.
Number of hits per page.
Required range:
1 <= x <= 1000Page of search results to retrieve.
Required range:
x >= 0Search query.
Synonym type.
Available options:
synonym, onewaysynonym, altcorrection1, altcorrection2, placeholder, oneWaySynonym, altCorrection1, altCorrection2 Example:
"onewaysynonym"
Last modified on March 23, 2026